google.load("maps", "2.x");
function showMap(url) {
	lightShow('on');
	mapContent('rlstGeocode.php','geocode');
}

function mapIsLoaded(type){
	switch(type){
		case 'geocode':
			//var x=45.58329;
			//var y=8.058472;			
			if(document.getElementById('COORD_X_via')){
				var x = document.getElementById('COORD_X_via').value;
				var y = document.getElementById('COORD_Y_via').value;
			}else if(document.getElementById('COORD_X_comune')){
				var x = document.getElementById('COORD_X_comune').value;
				var y = document.getElementById('COORD_Y_comune').value;
			}
			map.setCenter(new google.maps.LatLng(x, y), 15);
			var marker = createMarker(new GLatLng(x,y));
			map.addOverlay(marker);
			geocode();
			break;
	}
}

function saveCoord(){
	if(document.getElementById('MAP_LAT').value != '' && document.getElementById('MAP_LNG').value != ''){
		//se ci sono già i campi delle coordinate li aggiorno
		if(document.getElementById('COORD_X')){
			document.getElementById('COORD_X').value = document.getElementById('MAP_LAT').value;
			document.getElementById('COORD_Y').value = document.getElementById('MAP_LNG').value;
		//altrimenti li creo
		}else{
			var inputLat = document.createElement('INPUT');
			inputLat.setAttribute('name','COORD_X');
			inputLat.setAttribute('type','hidden');
			inputLat.setAttribute('value',document.getElementById('MAP_LAT').value);
			var inputLng = document.createElement('INPUT');
			inputLng.setAttribute('name','COORD_Y');
			inputLng.setAttribute('type','hidden');
			inputLng.setAttribute('value',document.getElementById('MAP_LNG').value);
			document.newCant.appendChild(inputLat);
			document.newCant.appendChild(inputLng);
		}
		//lightShow('off');
		
		//invio il form
		document.newCant.submit();
		
	}else{
		alert('Indicare il cantiere sulla mappa prima di salvare');
	}
}